#import "YcorePlugin.h"
#import "YCorePluginEx.h"

@implementation YcorePlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"ycore"
            binaryMessenger:[registrar messenger]];
  YcorePlugin* instance = [[YcorePlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"testCore" isEqualToString:call.method]) {
    result([YCorePluginEx getCode]);
  } else {
    result(FlutterMethodNotImplemented);
  }

}

@end
