import 'dart:async';

import 'package:flutter/services.dart';

class Ycore {
  static const MethodChannel _channel =
      const MethodChannel('ycore');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<int> get testCore async {
    final int core = await _channel.invokeMethod('testCore');
    return core;
  }
}
